package utils

import (
	"github.com/astaxie/beego"
)

var (
	RunMode        string //运行模式
	MYSQL_URL      string //数据库连接
)

var (
	STATIC_DIR string
)


func init() {
	RunMode = beego.AppConfig.String("run_mode")
	config, err := beego.AppConfig.GetSection(RunMode)
	if err != nil {
		panic("配置文件读取错误 " + err.Error())
	}
	beego.Info(RunMode + " 模式")
	MYSQL_URL = config["mysql_url"]
	if RunMode == "release" {
	} else {
	}
}