package controllers

import (
	"hongze/hongze_robot/models"
	"hongze/hongze_robot/utils"
)

//短信管理
type SmsController struct {
	BaseCommonController
}


// @Title 短信转发接口
// @Description 短信转发接口
// @Param	request	body company.CompanyApplyApproveReq true "type json string"
// @Success Ret=200 转发成功
// @router /approval/approve [post]
func (this *SmsController) ApplyApprove() {
	br := new(models.BaseResponse).Init()
	defer func() {
		this.Data["json"] = br
		this.ServeJSON()
	}()
	sign:=this.GetString("Sign")
	address:=this.GetString("Address")
	body:=this.GetString("Body")
	utils.FileLog.Info(" %s; %s; %s",sign,address,body)
	br.Ret = 200
	br.Success = true
	br.Msg = "发送成功"
}